%define nameapp pencil2d
Name:           Pencil2D
Version:        0.6.2
Release:        1%{?dist}
Summary:        Animation/drawing software
License:        GPLv2
BuildArch:      noarch
URL:            https://gitlab.com/chchwy/%{nameapp}
Source0:        %{url}/-/archive/v%{version}/%{nameapp}-v%{version}.tar.gz

%define _binaries_in_noarch_packages_terminate_build   0

BuildRequires:  qt5-devel
BuildRequires:	desktop-file-utils
Requires:       hicolor-icon-theme

%description
Pencil2D lets you create traditional hand-drawn animation

%global debug_package %{nil}

%prep
%autosetup -n %{nameapp}-v%{version}

%build
%{qmake_qt5} PREFIX=%{_prefix}
make %{?_smp_mflags}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%install
export INSTALL_ROOT=%{buildroot}
%make_install

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
/sbin/install-info %{_bindir}/%{nameapp}.xml %{_bindir}/dir || :
update-mime-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :
update-mime-database &> /dev/null || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_bindir}/%{nameapp}.xml %{_datadir}/dir || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE.TXT
%doc docs/*
%{_bindir}/%{nameapp}
%{_datadir}/applications/*.desktop
%{_datadir}/bash-completion/completions/%{nameapp}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{nameapp}.*
%{_datadir}/zsh/site-functions/_%{nameapp}


%changelog
* Sun Sep 16 2018 Luis M. Segundo <blackfile@fedoraproject.org> - 0.6.2-1
- first release